# pandas.DataFrame.mean

`DataFrame.``mean`(axis=None, skipna=None, level=None, numeric_only=None, **kwargs)

  Return the mean of the values for the requested axis.

  Parameters:

  axis : {index (0), columns (1)}

  > Axis for the function to be applied on.

  skipna : bool, default True

  > Exclude NA/null values when computing the result.

  level : int or level name, default None

  > If the axis is a MultiIndex (hierarchical), count along a particular level, collapsing into a Series.

  numeric_only : bool, default None

  > Include only float, int, boolean columns. If None, will attempt to use everything, then use only numeric data. Not implemented for Series.

  **kwargs

  > Additional keyword arguments to be passed to the function.

  Returns: | Series or DataFrame (if level specified)

Scroll To Top